Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
PreAuth işlemi için PostAuth işlemi gerçekleştirir
POST
https://api-test.fincraft.com.tr/api/v1/payments/post-auth
{ "referenceId": "123e4567-e89b-12d3-a456-426614174000", "amount": 100.50 }
referenceId
amount
{ "response": { "id": "25282KK7J07041188", "createdDate": "2025-10-09 10:10:57", "amount": 405.0, "source": "API", "paymentStatus": "SUCCESS", "transactionType": "POSTAUTH", "authCode": "P63190", "hostReferenceNo": "528200380135", "transactionId": "25282KK7J07041188", "orderId": "71357c9d-2df5-44cb-95e4-fb82ffcd9e6e" } }
curl -X POST https://api-test.fincraft.com.tr/api/v1/payments/post-auth \ -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "referenceId": "123e4567-e89b-12d3-a456-426614174000", "amount": 100.50 }'